AOMedia AV1 Codec: SPEED_FEATURES Struct Reference

| AOMedia AV1 Codec

Data Fields
SPEED_FEATURES Struct Reference

Top level speed vs quality trade off data struture. More...

`#include <speed_features.h>`

## Data Fields
HIGH_LEVEL_SPEED_FEATURES | hl_sf
FIRST_PASS_SPEED_FEATURES | fp_sf
TPL_SPEED_FEATURES | tpl_sf
GLOBAL_MOTION_SPEED_FEATURES | gm_sf
PARTITION_SPEED_FEATURES | part_sf
MV_SPEED_FEATURES | mv_sf
INTER_MODE_SPEED_FEATURES | inter_sf
INTERP_FILTER_SPEED_FEATURES | interp_sf
INTRA_MODE_SPEED_FEATURES | intra_sf
TX_SPEED_FEATURES | tx_sf
RD_CALC_SPEED_FEATURES | rd_sf
WINNER_MODE_SPEED_FEATURES | winner_mode_sf
LOOP_FILTER_SPEED_FEATURES | lpf_sf
REAL_TIME_SPEED_FEATURES | rt_sf

## Detailed Description

Top level speed vs quality trade off data struture.

## Field Documentation

## ◆ hl_sf

HIGH_LEVEL_SPEED_FEATURES SPEED_FEATURES::hl_sf

Sequence/frame level speed features:

## ◆ fp_sf

FIRST_PASS_SPEED_FEATURES SPEED_FEATURES::fp_sf

Speed features for the first pass.

## ◆ tpl_sf

TPL_SPEED_FEATURES SPEED_FEATURES::tpl_sf

Speed features related to how tpl's searches are done.

## ◆ gm_sf

GLOBAL_MOTION_SPEED_FEATURES SPEED_FEATURES::gm_sf

Global motion speed features:

## ◆ part_sf

PARTITION_SPEED_FEATURES SPEED_FEATURES::part_sf

Partition search speed features:

Referenced by encode_nonrd_sb(), encode_rd_sb(), and encode_without_recode().

## ◆ mv_sf

MV_SPEED_FEATURES SPEED_FEATURES::mv_sf

Motion search speed features:

## ◆ inter_sf

INTER_MODE_SPEED_FEATURES SPEED_FEATURES::inter_sf

Inter mode search speed features:

Referenced by av1_rd_pick_inter_mode(), encode_frame_internal(), and encode_without_recode().

## ◆ interp_sf

INTERP_FILTER_SPEED_FEATURES SPEED_FEATURES::interp_sf

Interpolation filter search speed features:

## ◆ intra_sf

INTRA_MODE_SPEED_FEATURES SPEED_FEATURES::intra_sf

Intra mode search speed features:

Referenced by av1_rd_pick_inter_mode(), av1_rd_pick_intra_sbuv_mode(), and search_intra_modes_in_interframe().

## ◆ tx_sf

TX_SPEED_FEATURES SPEED_FEATURES::tx_sf

Transform size/type search speed features:

## ◆ rd_sf

RD_CALC_SPEED_FEATURES SPEED_FEATURES::rd_sf

RD calculation speed features:

## ◆ winner_mode_sf

WINNER_MODE_SPEED_FEATURES SPEED_FEATURES::winner_mode_sf

Two-pass mode evaluation features:

## ◆ lpf_sf

LOOP_FILTER_SPEED_FEATURES SPEED_FEATURES::lpf_sf

In-loop filter speed features:

## ◆ rt_sf

REAL_TIME_SPEED_FEATURES SPEED_FEATURES::rt_sf

Real-time mode speed features:

Referenced by encode_nonrd_sb(), and search_intra_modes_in_interframe().

The documentation for this struct was generated from the following file:

- av1/encoder/speed_features.h